org.bouncycastle.crypto.tls

## Class TlsCipherSuiteManager

- java.lang.Object
- - org.bouncycastle.crypto.tls.TlsCipherSuiteManager

    public class TlsCipherSuiteManager
    extends java.lang.Object

A manager for ciphersuite. This class does manage all ciphersuites which are used by MicroTLS.

### Constructor Summary

Constructors
Constructor and Description
`TlsCipherSuiteManager()`

### Method Summary

Methods
`protected static TlsCipherSuite` `getCipherSuite(int number, TlsProtocolHandler handler)`
`protected static void` `writeCipherSuites(java.io.OutputStream os)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TlsCipherSuiteManager

    public TlsCipherSuiteManager()

### Method Detail

#### writeCipherSuites

    protected static void writeCipherSuites(java.io.OutputStream os)
                                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### getCipherSuite

    protected static TlsCipherSuite getCipherSuite(int number,
                                TlsProtocolHandler handler)
                                            throws java.io.IOException

Throws:
  `java.io.IOException`